import { ElButton, ElForm, ElFormItem, ElInput } from 'element-plus'
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'course-plan',
  render() {
    return (
      <>
        <ElForm
          class="px-[200px] pb-10 pt-7"
          size="large"
          ref="form"
          labelWidth={'100px'}
          labelPosition="top"
        >
          <ElFormItem label="第一课">
            <ElInput type="textarea" rows="3" />
          </ElFormItem>
        </ElForm>
        <div class="border-t border-t-[#E5E5E5] text-center pt-6 pb-7">
          <ElButton class="!w-40 !h-[38px]">上一步</ElButton>
          <ElButton type="primary" class="!w-40 !h-[38px]">
            下一步
          </ElButton>
        </div>
      </>
    )
  }
})
